Attribute VB_Name = "Stripe"
Sub Stripe_Makro()
    'Copyright BuchhaltungsButler 2017
    
    Columns("A:A").TextToColumns Destination:=Range("A1"), DataType:=xlDelimited, _
        TextQualifier:=xlDoubleQuote, ConsecutiveDelimiter:=False, Tab:=False, _
        Semicolon:=False, Comma:=True, Space:=False, Other:=False, FieldInfo _
        :=Array(Array(1, 1), Array(2, 1), Array(3, 1), Array(4, 1), Array(5, 1), Array(6, 1), _
        Array(7, 1), Array(8, 1), Array(9, 1), Array(10, 1), Array(11, 1)), _
        TrailingMinusNumbers:=True
    Columns("C:C").TextToColumns Destination:=Range("C1"), DataType:=xlFixedWidth, _
        FieldInfo:=Array(Array(0, 1), Array(10, 1)), TrailingMinusNumbers:=True
        
    With Excel.ActiveSheet
        rowges = .Cells(.Rows.Count, 1).End(Excel.xlUp).Row
    End With
    Dim i As Integer
    Dim temp As String
    
    For i = 1 To rowges
        temp = Cells(i, 3).value
        Cells(i, 3).value = temp
    Next i
    
    Cells(1, 7).value = "Betrag"
    Cells(1, 3).value = "Buchungsdatum"
    Cells(1, 11).value = "Empfnger/Zahlungspflichtiger"
    Cells(1, 1).value = "Buchungstext"
    Cells(1, 2).value = "Verwendungszweck"
    
    gesfees = (CInt(rowges) * -1) + 1
    Cells(CInt(rowges) + 1, 3).value = Cells(rowges, 3).value
    Cells(CInt(rowges) + 1, 11).value = "Amazon Gebhren"
    Cells(CInt(rowges) + 1, 8).FormulaR1C1 = "=SUM(R[" & gesfees & "]C:R[-1]C)"
    Cells(CInt(rowges) + 1, 7).value = Cells(CInt(rowges) + 1, 8).value
    Cells(CInt(rowges) + 1, 1).value = "Zeitraum: " & Cells(2, 3).value & " - " & Cells(CInt(rowges), 3).value
    
    
    'Fehlerhafte Umlaute
    Cells.Replace What:="ü", Replacement:="", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="ä", Replacement:="", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="ö", Replacement:="", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="", Replacement:="x", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="é", Replacement:="e", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="ß", Replacement:="ss", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="Ü", Replacement:="", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="", Replacement:="", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="", Replacement:="o", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
    Cells.Replace What:="", Replacement:="", LookAt:=xlPart, SearchOrder _
        :=xlByRows, MatchCase:=False, SearchFormat:=False, ReplaceFormat:=False
End Sub
